package com.ruoyi.manage.domain;

import com.ruoyi.common.annotation.Excels;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 轮挡台账对象 ledger_rfid
 *
 * @author wangh
 * @date 2024-01-17
 */
public class LedgerRfid extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long objid;

    /**
     * 厂家id
     */
    // @Excel(name = "厂家id")
    private Long manufacturerId;
    @Excels({@Excel(name = "厂家代码", targetAttr = "manufacturerCode", type = Excel.Type.EXPORT),
            @Excel(name = "厂家名称", targetAttr = "manufacturerName", type = Excel.Type.EXPORT)})
    private BaseManufacturer baseManufacturer;
    /**
     * RFID编码
     */
    @Excel(name = "RFID编码")
    private String rifdCode;
    private String manufacturerName;

    /**
     * 生产批次
     */
    @Excel(name = "生产批次")
    private String batchCode;

    /**
     * 所在位置
     */
    @Excel(name = "所在位置")
    private String locationType;

    /**
     * 位置编码
     */
    @Excel(name = "位置编码")
    private String locationCode;
    private List<BaseLocation> baseLocationList;
    /**
     * 是否报废
     */
    @Excel(name = "轮挡状态", readConverterExp = "1=正常,2=报废,3=报废处理")
    private String isScrap;
    private String dictLabel;

    public String getDictLabel() {
        return dictLabel;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }

    public void setObjid(Long objid) {
        this.objid = objid;
    }

    public Long getObjid() {
        return objid;
    }

    public void setManufacturerId(Long manufacturerId) {
        this.manufacturerId = manufacturerId;
    }

    public Long getManufacturerId() {
        return manufacturerId;
    }

    public void setRifdCode(String rifdCode) {
        this.rifdCode = rifdCode;
    }

    public String getRifdCode() {
        return rifdCode;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setIsScrap(String isScrap) {
        this.isScrap = isScrap;
    }

    public String getIsScrap() {
        return isScrap;
    }


    public List<BaseLocation> getBaseLocationList() {
        return baseLocationList;
    }

    public void setBaseLocationList(List<BaseLocation> baseLocationList) {
        this.baseLocationList = baseLocationList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("objid", getObjid()).append("manufacturerId", getManufacturerId()).append("rifdCode", getRifdCode()).append("batchCode", getBatchCode()).append("locationType", getLocationType()).append("locationCode", getLocationCode()).append("isScrap", getIsScrap()).append("updateTime", getUpdateTime()).toString();
    }


    public BaseManufacturer getBaseManufacturer() {
        return baseManufacturer;
    }

    public void setBaseManufacturer(BaseManufacturer baseManufacturer) {
        this.baseManufacturer = baseManufacturer;
    }
}
